Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Bank Accounts

  • List bank accounts

  • Create bank account

  • Get bank account by v1Id

  • Get bank account

  • Disable bank account

  • Webhooks

  • bank_account.created

  • bank_account.disabled

  • bank_account.verified

<- Bank Accounts API

Bank Accounts API

All versions ->

Get bank account by v1Id

GET

 /v2/bank-accounts/by-v1-id/{v1_bank_account_id}

Returns details of a BankAccount identified by V1 bank account ID.

Permissions:BANK_ACCOUNTS_READ

Guide

Retrieve a bank account by using a V1 ID

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

v1_bank_account_id

string

Required

Connect V1 ID of the desired BankAccount. For more information, see Retrieve a bank account by using an ID issued by V1 Bank Accounts API.

Link to section

Response fields

Link to section

errors

Information on errors encountered during the request.

Link to section

bank_account

The requested BankAccount object.

Link to section

Examples

All versions ->

GET /v2/bank-accounts/by-v1-id/{v1_bank_account_id}
curl https://connect.squareup.com/v2/bank-accounts/by-v1-id/v1_bank_account_id0 \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "bank_account": { "id": "w3yRgCGYQnwmdl0R3GB", "account_number_suffix": "971", "country": "US", "currency": "USD", "account_type": "CHECKING", "holder_name": "Jane Doe", "primary_bank_identification_number": "112200303", "location_id": "S8GWD5example", "status": "VERIFICATION_IN_PROGRESS", "creditable": false, "debitable": false, "version": 5, "bank_name": "Bank Name" } }